/*
 * ============================================================================
 * Licensed Materials - Property of IBM
 * Project  Zero
 *
 * (C) Copyright IBM Corp. 2007  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ============================================================================
 */
package script

headers.out."Content-Type" = "application/atom+xml"

// fliter method accepts closure as argument, where compact syntax in DOMCategory is supported.
feedFactory.aggregateFeeds(
			"http://rss.news.yahoo.com/rss/topstories",
			"http://rss.cnn.com/rss/cnn_topstories.rss"
			)
			.where { entry -> entry.summary.text().contains("U.S.") }
			.writeTo (request.outputStream[])