/*
 * ============================================================================
 * Licensed Materials - Property of IBM
 * Project  Zero
 *
 * (C) Copyright IBM Corp. 2007  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ============================================================================
 */
package script

def results = feedFactory.aggregateFeeds(
			"http://rss.news.yahoo.com/rss/topstories",
			"http://rss.cnn.com/rss/cnn_topstories.rss"
			)
			.orderBy("published", false)
			.top(10)

// render feed by template where accessing feed data with DOM API
request.view = "feed/atom.gt"
request.flow.output = results.toNode()
render()