<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/2005/Atom" xmlns:aws="http://webservices.amazon.com/AWSECommerceService/2005-10-05" xmlns:opensearch="http://a9.com/-/spec/opensearch/1.1/">
	<xsl:output method="text"/>
	<xsl:variable name="firstItem" select="'true'"/>
	<xsl:template match="/">
{
	"title": "<xsl:value-of select="aws:ItemSearchResponse/aws:Items/aws:Request/aws:ItemSearchRequest/aws:Title"/>",
	"totalResults": <xsl:value-of select="aws:ItemSearchResponse/aws:Items/aws:TotalResults"/>,
	"item": [ <xsl:apply-templates select="aws:ItemSearchResponse/aws:Items/aws:Item"/>]
}
	</xsl:template>
	<xsl:template match="aws:ItemSearchResponse/aws:Items/aws:Item">
		{
			"title": "<xsl:value-of select="aws:ItemAttributes/aws:Title"/>",
			"asin": "<xsl:value-of select="aws:ASIN"/>",
			"url": "<xsl:value-of select="aws:DetailPageURL"/>",
			"author": "<xsl:value-of select="aws:ItemAttributes/aws:Author"/>",
			"lowestNewPrice": "<xsl:value-of select="aws:OfferSummary/aws:LowestNewPrice/aws:FormattedPrice"/>",
			"averageRating": "<xsl:value-of select="aws:CustomerReviews/aws:AverageRating"/>"
	    }
	    <xsl:if test="not(position()=last())">	
	     ,
	    </xsl:if>	

	</xsl:template>
</xsl:stylesheet>